## NAME

db.copy - Copy a table. Either 'from_table' (optionaly with 'where') can be used or 'select' option, but not 'from_table' and 'select' at the same time.

## SYNOPSIS

db.copy
db.copy help
db.copy from_driver=string from_database=string [from_table=string] to_driver=string to_database=string to_table=string [where=string] [select=string]

### Parameters:

from_driver=string
  Input driver name
  Options: dbf,pg,ogr
from_database=string
  Input database name
from_table=string
  Input table name (only if select is not specified)
to_driver=string
  Output driver name
  Options: dbf,pg,ogr
to_database=string
  Output database name
to_table=string
  Output table name
where=string
  Optional where condition (without WHERE key word), e.g.:
  obec = 'Liptakov'
select=string
  Full select statement (only if from_table and where is not used), e.g.:
  SELECT dedek FROM starobince WHERE obec = 'Frimburg'

## DESCRIPTION

db.copy allows the user to copy a table between two databases. Databases can be connected through different drivers (see example).

## NOTES

Attribute tables can be copied manually using db.copy and v.db.connect. Current connection settings are saved in $LOCATION/vector_map/dbln.

## EXAMPLES

DBF ->PG

storing table 'markveggy.dbf' (in current directory) into PostgreSQL through ODBC:
db.copy from_driver=dbf from_database=./ from_table=markveggy to_driver=pg to_database="host=pgserver,dbname=grass51test" to_table=markveggy

PG -> DBF

`db.copy from_driver=pg from_database="host=pgserver.itc.it,dbname=testdb" from_table=origtable to_driver=dbf to_database=./ to_table=origtable`

## SEE ALSO

GRASS 5.7 tutorial pages
v.db.connect, db.drivers, db.login, v.clean, GRASS SQL interface

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2004/12/08 13:45:39 $

Help Index